## org.apache.jasper.compiler
Interface Generator

All Known Implementing Classes:
  org.apache.jasper.compiler.GeneratorBase

public interface Generator

Interface that all generators implement.

Author:
  Anil K. Vijendran

Method Summary
`void` `generate(ServletWriter out, java.lang.Class phase)`
`boolean` `generateCoordinates(java.lang.Class phase)`
`void` `init(JspCompilationContext ctxt)`

Method Detail

### generate

    public void generate(ServletWriter out,
                         java.lang.Class phase)
                  throws JasperException

    `JasperException`

### generateCoordinates

    public boolean generateCoordinates(java.lang.Class phase)

### init

    public void init(JspCompilationContext ctxt)
              throws JasperException

    `JasperException`

Copyright © 2000 Apache Software Foundation. All Rights Reserved.